Name:           perl-version
Epoch:          3
Version:        0.82
Release:        2%{?dist}
Summary:        Perl extension for Version Objects
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/version/
Source0:        http://www.cpan.org/authors/id/J/JP/JPEACOCK/version-%{version}.tar.gz
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More) >= 0.45
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# version::vxs is private module (see bug #633775)
%filter_from_provides /^perl(version::vxs)/d
%filter_setup
%{?perl_default_filter}

%description
Version objects were added to Perl in 5.10. This module implements version
objects for older version of Perl and provides the version object API for
all versions of Perl. All previous releases before 0.74 are deprecated and
should not be used due to incompatible API changes. Version 0.77 introduces
the new 'parse' and 'declare' methods to standardize usage. You are
strongly urged to set 0.77 as a minimum in your code.

%prep
%setup -q -n version-%{version}
%{?perl_default_filter}

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/version*
%{_mandir}/man3/*

%changelog
* Fri Apr 08 2011 Petr Pisar <ppisar@redhat.com> - 3:0.82-2
- Unexport private version::vxs module (bug #633775)
- Remove BuildRoot stuff
- Correct description text

* Tue Mar 09 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.82-1
- Specfile autogenerated by cpanspec 1.78.
